Sites
Get Sites
Returns one or more sites (geolocation) user has access to.
Results can be filtered using the query parameters specified below.
Returns 200 with empty sites list and a total of 0 when no sites found.
query Parameters
limitThe number of items to return, default is 100 and maximum is 1000.
offsetThe number of items to skip before starting to collect the result set.
nameThe name of the site.
statusThe status of the site, can be online, offline, partial, or unknown.
Get Sites › Responses
A list of site objects representing various locations.
A list of site objects representing various locations.
totalThe total number of sites matching the query
Get Site By ID
Returns basic information about a specific site (geolocation) in the system.
Returns 404 if the site is not found or the user does not have access to the site.
path Parameters
idThe site id
Get Site By ID › Responses
Site information
idThe unique identifier.
nameThe name assigned to the site, provided by the user.
descriptionA brief explanation of the site's purpose or significance.
The geographic coordinates of the site.
statusThe status of the site, can be online, offline, partial, or unknown.
